Bug 1413165 - amanda 3.4.1 cannot back up old (RHEL5) clients
Summary: amanda 3.4.1 cannot back up old (RHEL5) clients
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: amanda
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 19:21 UTC by Jason Tibbitts
Modified: 2017-02-15 20:53 UTC (History)
6 users (show)

Fixed In Version: amanda-3.4.2-1.fc24 amanda-3.4.2-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 20:51:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Jason Tibbitts 2017-01-13 19:21:05 UTC
Due to the holidays and now the beginning of the semester I didn't get to do proper testing of 2.4.1 before it was pushed, and, well, oops:

Amanda Backup Client Hosts Check
--------------------------------
ERROR: host1: [unknown option "|auth=bsd"]
[...]
ERROR: host2: [unknown option "|auth=bsd"]
Client check: 18 hosts checked in 2.209 seconds.  11 problems found.

We don't pass --with-bsd-security to configure when building amanda, and that's now mandatory if you want "auth bsd" to work (which is needed for dealing with really old clients, like rhel5).

If I can squeeze in some time today I'll just update the configure call and push an update, but I wanted to get a ticket filed now in any case.

Comment 1 Jason Tibbitts 2017-01-13 19:54:09 UTC
OK, maybe that wasn't the problem.  Turns out it's the clients (RHEL5, ugh) which are rejecting what the server sends them.  Switching to other auth types doesn't appear to help.

So I'm beginning to think that you simply can't back up an amanda 2.5 client with a 3.4 server, which is an unfortunate thing to push as an update.

The problem is that the OPTIONS line sent by the server has changed from:

DUMP /local/samba2 0 OPTIONS |;auth=bsd;compress-fast;index;

to

DUMP /local/samba 0 OPTIONS |auth=bsd;compress-fast;index;

So I guess I'll get to digging into that.  I've updated the ticket subject to reflect what's really happening.

Comment 2 Jason Tibbitts 2017-01-13 20:53:52 UTC
I cooked up a very small patch to ensure that there's always a semicolon at the top of the OPTIONS list, which at least gets past amcheck.  I went ahead and pushed to rawhide (so you could at least see it directly) but didn't build, just in case.  I also switched to %autosetup because I find it easier to stack patches that way.  (Just add -S git and fedpkg prep will give you a tree with commits for each patch.)  I sent that patch off to amanda-users.  I've never been sure if I should use the users or the hackers list for a patch to a released version.

In any case, feel free to revert if that's problematic for you.  I will make sure everything is OK for tonight's backup run and if it's OK and I get some feedback on the patch then I'll go ahead and build, merge back to F24 and issue updates.

Comment 3 Jason Tibbitts 2017-01-15 18:58:09 UTC
Upstream was OK with the patch, but unfortunately there was an additional incompatibility. Upstream suggested an additional fix, which I applied to rawhide.  Will see again with tonight's run.

Comment 4 Josef Ridky 2017-01-17 07:19:30 UTC
Hi Jason,

sorry for my late reaction, but I had to solve some other things.

From comment #2:

Thanks for that. I am ok with this changes. For next time is better to send the patch to amanda-hackers (its list for developers), but as you see, they will respond you as well on amanda-users.

From comment #3:

Ok, so please apply your patch with suggestion from upstream and build amanda for rawhide. When its done, please post there link to koji build.

Thanks a lot for your help with this package.

Comment 5 Jason Tibbitts 2017-01-17 18:00:51 UTC
So with the revised patch applied, I was able to get two successful backup runs for my very old Amanda clients.

Unfortunately 3.4.1 is causing new selinux failures on my other hosts, even those that don't use xfsdump.  So I can add some more AVCs to the pile but I have no reasonable belief that the selinux policy maintainers will ever actually fix any of them.  And in any case, that's something for a separate ticket.

The rawhide build is https://koji.fedoraproject.org/koji/taskinfo?taskID=17314022

I am happy to create updates for the release branches if you like.

Comment 6 Nuno Dias 2017-01-25 16:02:32 UTC
Can somebody create updates for Fedora 25, I have this problem also.

Comment 7 Jason Tibbitts 2017-01-25 18:35:33 UTC
Sure, give me a second.

Comment 8 Fedora Update System 2017-01-25 19:05:22 UTC
amanda-3.4.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc448307c1

Comment 9 Fedora Update System 2017-01-25 19:05:32 UTC
amanda-3.4.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-49ee10ce2c

Comment 10 Fedora Update System 2017-01-27 19:54:34 UTC
amanda-3.4.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-49ee10ce2c

Comment 11 Fedora Update System 2017-01-28 04:54:15 UTC
amanda-3.4.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc448307c1

Comment 12 Fedora Update System 2017-02-01 14:56:26 UTC
amanda-3.4.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec1e93b61f

Comment 13 Fedora Update System 2017-02-01 14:56:47 UTC
amanda-3.4.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5fcf946acc

Comment 14 Fedora Update System 2017-02-01 22:48:34 UTC
amanda-3.4.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5fcf946acc

Comment 15 Fedora Update System 2017-02-01 23:52:21 UTC
amanda-3.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec1e93b61f

Comment 16 Fedora Update System 2017-02-15 20:51:00 UTC
amanda-3.4.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-02-15 20:53:15 UTC
amanda-3.4.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.